Show / Hide Table of Contents

# Enum JobFlags

###### Namespace: Dalamud.Game.Internal.Gui.Structs

###### Assembly: Dalamud.dll

##### Syntax

    [Flags]
    public enum JobFlags

### Fields

Name | Description
--- | ---
Arcanist |
Archer |
Astrologian |
Bard |
BlackMage |
BlueMage |
Conjurer |
Dancer |
DarkKnight |
Dragoon |
Gladiator |
Gunbreaker |
Lancer |
Machinist |
Marauder |
Monk |
Ninja |
Paladin |
Pugilist |
RedMage |
Rogue |
Samurai |
Scholar |
Summoner |
Thaumaturge |
Warrior |
WhiteMage |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()
JobFlagsExt.ClassJob(DataManager)